using System;
using System.Xml;

class XMLReaderUkazka
{
	static void Main(string[] args)
	{
		// pomocn promnn
		double suma = 0;
		double sumaDPH = 0;

		// vytvoen pull parseru pro dokument
		XmlTextReader reader = new XmlTextReader("faktura.xml");

		// prchod celm dokumentem
		while (reader.Read())
		{
			if (reader.NodeType == XmlNodeType.Element 
				&& reader.Name == "cena")
			{
				double sazbaDPH = Double.Parse(reader.GetAttribute("dph")) / 100;
				double castka = Double.Parse(reader.ReadString());
				suma += castka;
				sumaDPH += sazbaDPH * castka;
			}
		}

		// vpis statistiky
		System.Console.WriteLine("Celkem K:  " + suma);
		System.Console.WriteLine("Celkem DPH: " + sumaDPH);
	}
}