using System;
using System.Xml;
using System.Xml.XPath;

class XPathUkazka
{
	static void Main(string[] args)
	{
		// pomocn promnn
		double suma = 0;
		double sumaDPH = 0;

		// vytvoen XPath navigtoru pro dokument
		XPathDocument doc = new XPathDocument("faktura.xml");
		XPathNavigator nav = doc.CreateNavigator();
		
		// vytvoen itertoru pro vechny elementy cena
		XPathNodeIterator iter = nav.Select("/faktura/polozka/cena");

		// prchod vybranmi uzly
		while (iter.MoveNext())
		{
			double sazbaDPH = Double.Parse(iter.Current.GetAttribute("dph","")) / 100;
			double castka = Double.Parse(iter.Current.Value);
			suma += castka;
			sumaDPH += sazbaDPH * castka;
		}

		// vpis statistiky
		System.Console.WriteLine("Celkem K:  " + suma);
		System.Console.WriteLine("Celkem DPH: " + sumaDPH);
	}
}