using System;
using System.Xml;

class DOMUkazka
{
	static void Main(string[] args)
	{
		// vytvoen DOM stromu ze souboru
		XmlDocument doc = new XmlDocument();
		doc.Load("faktura.xml");
		
		// zskn vech element cena
		XmlNodeList nl = doc.GetElementsByTagName("cena");

		// prchod uzly
		int n = nl.Count;
		double suma = 0;
		double sumaDPH = 0;

		for (int i=0; i<n; i++)
		{
			XmlElement cena = (XmlElement) nl.Item(i);
			double sazbaDPH = Double.Parse(cena.GetAttribute("dph")) / 100;
			double castka = Double.Parse(cena.InnerText);
			suma += castka;
			sumaDPH += sazbaDPH * castka;
		}

		// vpis statistiky
		System.Console.WriteLine("Celkem K:  " + suma);
		System.Console.WriteLine("Celkem DPH: " + sumaDPH);
	}
}