using System;
using System.IO;
using System.Xml;
using System.Xml.XPath;
using System.Xml.Xsl;

class XSLTUkazka
{
	static void Main(string[] args)
	{
		// naten dokumentu, kter chceme transformovat 
		XPathDocument doc = new XPathDocument("faktura.xml");

		// vytvoen XSLT transformtoru a naten stylu
		XslTransform t = new XslTransform();
		t.Load("faktura.xsl");

		// vytvoen XmlWriteru pro uloen vsledku transformace
		XmlTextWriter writer = new XmlTextWriter(new StreamWriter("faktura.html"));

		// nastaven formtovn vstupu
		writer.Formatting = Formatting.Indented;
		writer.Indentation = 2;

		// proveden transformace
		t.Transform(doc, null, writer);

		System.Console.WriteLine("Vsledek je zapsn v souboru faktura.html");

	}
}